# Podręcznik &konsole-dopelniacz;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
(c) 2005 Mandriva
Poland

    biuro@mandriva.pl

Polskie tłumaczenie
Marcin
Kocur

    marcinkocur@op.pl

Uaktualnienie polskiego tłumaczenia i poprawki tłumaczenia Mandrivy
2000
2001
2002
&Jonathan.Singer;
2005
&Kurt.Hindenburg;
&FDLNotice;
2006-08-16
1.6.2

Ta dokumentacja stanowi podręcznik użytkownika programu &konsole-mianownik;.

Program &konsole-mianownik; jest graficznym emulatorem terminala dla &kde;.

KDE
konsola
kdebase
polecenie
wiersz

## Wprowadzenie do &konsole-dopelniacz;

### Czym jest terminal ?

System operacyjny &UNIX-mianownik; został oryginalnie zaprojektowany do pracy w trybie tekstowym i zarządzania za pomocą komend, wydawanych z użyciem klawiatury - znanego jako interfejs linii poleceń (Command Line Interface - CLI). &X-Window; i &kde; oraz inne projekty dodały do tego interfejs graficzny, którego obecnie używasz. Jednakże interfejs linii poleceń CLI nadal jest używany w systemie. W wielu przypadkach to najprostszy i najszybszy sposób na wykonanie różnych zadań systemowych.

&konsole-mianownik; jest graficznym emulatorem terminala, nazywanym konsolą lub powłoką. Zastępuje on stary, dobrze znany ekran tekstowy, jednak potrafi dzielić miejsce na pulpicie z programami, działającymi w trybie graficznym. Użytkownicy systemu &Windows; mogą go porównać do wiersza poleceń MS-DOS, który oferował analogiczną funkcjonalność do tej oferowanej przez DOS. Należy jednak pamiętać, że system &UNIX-mianownik; z CLI oferuje znacznie lepszą funkcjonalność niż DOS!

Wyjaśnienie działania w systemie &UNIX-mianownik;CLI jest poza zakresem tematycznym tego dokumentu i wymaga znacznie bardziej obszernej publikacji. Naszczęście wiele takich książek jest dostępnych w wielu językach w dobrych księgarniach i bibliotekach. Istnieje również wiele opisów dostępnych w Internecie. Korzystaj zatem z &kde;, ale nie bój się próbować nauczyć korzystania z wiersza poleceń konsoli.

### Co sprawia, że &konsole-mianownik; jest tak wyjątkowa ?

Zaawansowane funkcje &konsole-dopelniacz; pomagają w prostej konfiguracji i użytkowaniu wielu okien terminali w jednym oknie.

Korzystając z &konsole-dopelniacz; użytkownik może otworzyć:

- Sesje konsoli &Linux-dopelniacz; (np. Mandriva Linuksa)

- sesje powłoki

- sesję programu Screen

- sesję menedżera plików Midnight Commander

- sesję użytkownika Root (administratora)

- sesję menedżera plików Midnight Commander dla użytkownika Root (administratora)

- sesje utworzone przez użytkownika

Nazwy tych sesji mogą być zmieniane, aby w prosty i przejrzysty sposób kontrolować otwarte powłoki lub sygnalizowane komendy (STOP, CONT, HUP, INT, TERM, KILL).

W celach dodatkowej kontroli poprzez &konsole-biernik;, użytkownik może:

- ukrywać/pokazwyać pasek menu i/lub karty

- zmieniać rozmiar okna &konsole-dopelniacz;, czcionki, zestawy kolorów i układy klawiatury

- zmieniać położenie lub ukrywać pasek przewijania

- zmieniać położenie lub ukrywać pasek zakładek

Wszystkie ustawienia mogą stać się domyślnymi dla następnych sesji po ich zapisaniu.

Osoby, które są bardzo zainteresowane X terminalami powinny zwrócić uwagę na dwa inne programy: xterma, pierwowzór, napisany przed powstaniem X'ów (miesiąc lub dwa) oraz xvt, klon xterma, na którym bazuje większość obecnych terminali (również stary dobry eterm).

Po ponad dekadzie, &konsole-mianownik; została przepisana na nowo. Podczas gdy projekt programu xterm został ostatecznie zamknięty (plik `README` rozpoczyna się od słów Abandon All Hope, Ye Who Enter Here), &konsole-mianownik; oferuje nowoczesne podejście oraz całkowitą integrację z systemem X'ów.

## Obsługa &konsole-dopelniacz;

### Początek

Po uruchomieniu w oknie &konsole-dopelniacz; zostaje uruchomiona powłoka (shell). Wpisuj polecenia po znaku zachęty.

Wygląd &konsole-dopelniacz;
Wygląd &konsole-dopelniacz;

&konsole-dopelniacz; z otwartymi 4 sesjami terminala.

Okno Porada dnia może również pojawić się przy starcie, proponując podpowiedzi związane z użytkowaniem &konsole-dopelniacz;. Jeżeli nie chcesz aby okno to wyświetlało się podczas startu odznacz pole Pokaż podpowiedź przy uruchomieniu.

### Historia

Gdy linie tekstu przewiną się do góry poza ekran, można do nich powrócić, przesuwając w górę pasek przewijania, kółko myszki lub korzystając z kombinacji klawiszy &Shift;Page Up (strona do góry), &Shift;Page Down (strona w dół), &Shift;Klawisz strzałki w górę (linia w górę) i &Shift;Klawisz strzałki w dół (linia w dół). Opcja Historia musi być włączona.

&konsole-mianownik; naśladuje również zachowanie konsoli FreeBSD, gdy klawisz scroll lock jest wciśnięty. Gdy klawisz ten jest włączony, zablokowana jest możliwość wpisywania znaków, nie działa również wyjście diagnostyczne konsoli. Możesz wtedy przeglądać historię, naciskając klawisze Page Up, Page Down oraz Klawisz strzałki w górę i Klawisz strzałki w dół.

Historia w &konsole-dopelniacz; może być skonfigurowana po wybraniu Ustawienia Historia...

&konsole-mianownik; posiada dodatkowo kilka poleceń związanych z historią w menu Edycja.

- Znajdź w historii...

- Znajdź następne

- Znajdź poprzedni

- Zapisz historię jako...

- Wyczyść historię

- Wyczyść wszystkie historie

W &konsole-dopelniacz; odwołania do historii są odwołaniami do tekstu wyświetlanego w oknie &konsole-dopelniacz;. Powłoka, która pracuje w &konsole-dopelniacz; (np. bash) również posiada własną historię, która jednak nie odnosi się do historii w &konsole-dopelniacz;.

### Sesje

Jeżeli często logujesz się zdalnie do komputera lub używasz podobnych programów terminalowych, możesz skorzystać z opcji Sesja, najlepiej razem z systemem zarządzania sesjami &kde;, aby zautomatyzować użycie większości z nich. Przykładowo, załóżmy, że często otwierasz sesję ssh i łączysz się z maszyną Administracja, aby wykonać różne zadania administracyjne. Zauważ, że przycisk Nowa Sesja, znajdujący się przy zakładkach &konsole-dopelniacz;, zawiera menu. Wystarczy na niego nacisnąć i na chwilę przytrzymać klawisz myszy. Dodamy nowy wpis do tego menu.

1. Kliknij na poleceniu Ustawienia Konfiguracja: &konsole-mianownik;

2. Wybierz zakładkę Sesja.

3. Wypełnij pierwsze pole nazwą sesji. Ta nazwę będzie pokazane w menu i będzie nazwą domyślną w miejsce Powłoki.

4. Następnie podaj polecenie do wykonania. W naszym przykładzie ``ssh`adres_hosta`.

5. Poniżej skonfiguruj wygląd dla sesji tego typu. Możesz wybrać czcionkę oraz schemat kolorów oraz układ klawiatury dla każdej sesji.

6. Naciśnij przycisk Zapisz sesję... i podaj nazwę pliku.

7. Naciśnij przycisk OK.

Po naciśnięciu i przytrzymania przycisku myszki na zakładce Nowa Sesja, powinieneś mieć teraz możliwość wyboru nowo utworzonego typu sesji. Nowa sesja zostanie otwarta w oknie &konsole-dopelniacz;. W naszym przykładzie pojawi się program ssh z prośbą o podanie hasła do zdalnego komputera. Pod podaniu hasła, zalogujemy się na zdalny komputer. Możesz uniknąć tego kroku używając ssh-agent'a ale jest to temat na inny podręcznik. Być może będziesz chciał zdalnie przefiltrować plik z błędami dotyczący serwera http, możesz użyć na przykład następującej komendy ``ssh` `-f` webserver `tail` `-f` `/var/log/httpd-error.log``.

Możesz wykorzystać tą funkcję także do wywoływania lokalnych komend. Spróbuj utworzyć sesję z wywołaniem komendy ``tail` `-f` `/var/log/messages``. W tym przypadku, zamykanie uruchomionego programu, zamknie również sesję terminala.

Prawdopodobnie będziesz bardzo zadowolony z tego, że &kde; po zalogowaniu może otworzyć wybrany zestaw sesji automatycznie. Po prostu, pozostaw otwarte jakieś sesje konsoli przy wylogowaniu z &kde;, a zostaną one zachowane łącznie z sesją &kde; oraz przywołane przy kolejnym zalogowaniu do &kde;.

Możesz przypisać skrót dla każdej sesji.

### Przyciski myszy

Ta sekcja opisuje szczegółowo korzystanie z przycisków myszy dla użytkowników praworęcznych. W przypadku osób leworęcznych należy zamienić przyciski lewy z prawym w tekście poniżej.

Lewy przycisk myszy

  Wszystkie kliknięcia lewym przyciskiem myszy zostaną wysłane programu, pracującego w &konsole-dopelniacz;. Jeżeli program odpowiada na kliknięcie myszki, &konsole-mianownik; pokaże kursor strzałki. W przeciwnym przypadku zostanie wyświetlony kursor I-beam (prostokąt).

  Przytrzymanie lewego przycisku myszy oraz przesuwanie kursora nad obszarem z uruchomionym programem spowoduje zaznaczenie obszaru tekstu. Podczas przesuwania kursora, tekst jest zaznaczany kolorem odwrotnym do obowiązującego. Wybierając opcję Kopiuj z menu Edycja, przekopiujesz tekst do schowka systemowego. Będziesz mógł użyć później zapisanego tekstu w &konsole-dopelniacz; lub innym programie Zaznaczony tekst może zostać również przeciągnięty do innego, zgodnego programu. Kliknij na zaznaczony tekst i przesuń go do innego programu. W zależności od ustawień &kde;, być może będziesz musiał przytrzymać klawisz &Ctrl; w momencie przeciągania tekstu.

  Normalnie, znaki końca linii są umieszczane na końcu każdej zaznaczonej linii. To ustawienie jest najlepsze dla potrzeb wycinania i wklejania kodu źródłowego lub wyników wykonania poszczególnych komend. Dla zwykłego tekstu znaki końca linii często nie są istotne. Czasem jednak ich ustawienie może być być przydatne, jeżeli tekst ma być ciągiem znaków, które mają być automatycznie sformatowane po wklejeniu do innego programu. Aby włączyć tryb tekst-ciąg znaków, przytrzymaj klawisz &Ctrl; podczas zaznaczania tekstu.

  Naciśnięcie klawiszy &Ctrl; i &Alt; łącznie z lewym przyciskiem myszy spowoduje zaznaczenie całej kolumny tekstu.

  Podwójne kliknięcie lewym przyciskiem myszy zaznaczy słowo; potrójne całą linię.

  Jeżeli górna lub dolna krawędź obszaru tekstu jest aktywna podczas zaznaczania, &konsole-mianownik; przewinie tekst w dół, ewentualnie w górę, korzystając z Historii. Przewijanie zakończy się z chwilą zaprzestania ruchu myszą.

  Po zwolnieniu przycisku myszy, &konsole-mianownik; spróbuje przechować zaznaczony tekst w schowku. Zaznaczony tekst przestanie być podświetlony tak szybko jak tylko zawartość schowka zostanie zmieniona, zaznaczony tekst jest zmieniony lub zostanie wciśnięty lewy przycisk myszy.

  Aby zaznaczyć tekst w programie odpowiadającym na zdarzenia myszki (np. Midnight Commander) należy nacisnąć klawisz &Shift; w momencie klikania myszką.

Środkowy przycisk myszy

  Wciśnięcie środkowego przycisku wkleja bieżący tekst ze schowka. Przytrzymanie klawisza &Ctrl; przy wciśnięciu środkowego przycisku myszy wkleja tekst i przesyła go do &konsole-dopelniacz;.

  Jeżeli posiadasz myszkę z dwoma przyciskami, naciskając lewy i prawy przycisk myszy jednocześnie, emulujesz przycisk środkowy.

  Jeżeli myszka posiada kółko jako środkowy przycisk, przesuwanie go w programie nieodpowiadającym na zdarzenia myszki, spowoduje przesuwanie pasków przewijania w &konsole-dopelniacz;.

Prawy przycisk myszy

  Wpisy dostępne w menu podręcznym po naciśnięciu prawego przycisku myszy zależą od tego, czy pasek menu jest widoczny.

  Gdy pasek menu jest widoczny, dostępne są następujące wpisy: Ustaw koniec zaznaczenia, Kopiuj, Wklej, Wyślij sygnał, Odłącz sesję, Zmień nazwę sesji..., Zakładki orazZamknij sesję.

  Gdy pasek menu nie jest widoczny, dostępne są następujące wpisy: Wyświetl pasek menu, Ustaw koniec zaznaczenia, Kopiuj, Wklej, Wyślij sygnał, Nowa sesja, Odłącz sesję, Zmień nazwę sesji..., Zakładki, Ustawienia oraz Zamknij sesję.

  W programie reagującym na zdarzenia myszki, naciśnij klawisz &Shift; łącznie z prawym przyciskiem myszy, aby uzyskać menu podręczne.

  Naciskając klawisz &Ctrl; i prawy przycisk myszy, wywołasz menu Sesja.

### Pasek menu

Pasek narzędzi znajduje się na górze okna &konsole-dopelniacz;. Pasek menu może być aktywowany i dezaktywowany po naciśnięciu klawisza &Alt;.

Ustawienia Ukryj pasek menu pozwala na ukrycie paska. Gdy pasek menu jest ukryty, Wyświetl pasek menu może zostać wybrane przez naciśnięcie prawego przycisku myszy w oknie programu lub naciśnięcie skrótu &Alt;&Ctrl;M . Można przełączać się pomiędzy widokami menu, przypisując skrót klawiaturowy.

#### Menu Sesja

Sesja Nowe okno

  Otwiera nowe okno z powłoką terminala. &Alt;&Ctrl;N może być również użyte zgodnie ze szczegółowym opisem poniżej.

Sesja Nowe okno

  uruchamia nowe okno &konsole-dopelniacz;.

Sesja Konsola linuksowa (nowa)

  Otwiera nową sesję emulującą tryb tekstowy &Linux-dopelniacz;.

  Przeczytaj plik `README.linux.console`, znajdujący się w pakiecie źródłowym &konsole-dopelniacz;. aby dowiedzieć się więcej na temat różnic pomiędzy konsolą linuksową, a typową konsolą &UNIX-dopelniacz;. Jeżeli nie ma to dla Ciebie znaczenia, nie musisz zawracać sobie tym głowy.

Sesja Midnight Commander

  Otwiera nową sesję z menedżerem plików Midnight Commander.

  Ten wpis menu będzie dostępny tylko wtedy, gdy program Midnight Commander (`mc`) jest zainstalowany w systemie.

Sesja Midnight Commander - tryb administratora

  Otwiera nową sesję z programem Midnight Commander z uprawieniami użytkownika root.

  Po podaniu hasła root pojawi się znak # pod oknem programu, wskazując na pracę z uprawnieniami użytkownika root. Ponownie, praca w tym trybie jest często konieczna, jednak uważaj na możliwość przypadkowego zniszczenia systemu.

  Ten wpis menu będzie dostępny tylko wtedy, gdy program Midnight Commander (`mc`) jest zainstalowany w systemie.

Sesja Nowa powłoka administratora

  Otwiera nową sesję, z powłoką terminala dla użytkownika root.

  Po podaniu hasła roota, pojawi się znak # wskazując na pracę z uprawnieniami użytkownika root. Praca w tym trybie jest niezbędna, aby zainstalować nowe oprogramowanie lub dokonać prac administracyjnych. Należy jednak uważać na możliwość przypadkowego uszkodzenia systemu.

Sesja Nowa sesja programu screen

  Otwiera nową sesję programu Screen . Zobacz ``man` `screen`` w celu uzyskania szczegółowych informacji.

  Ten wpis menu będzie dostępny, jeżeli program Screen (`screen`) jest zainstalowany w systemie.

Sesja Nowa powłoka z zakładki

  Uruchamia nową powłokę terminala wybraną z listy zakładek.

Sesja Drukuj ekran...

  Drukuje zawartość ekranu.

Sesja Zamknij sesję

  Zamyka bieżącą sesję.

Sesja Zakończ

  Zamyka &konsole-biernik; oraz wszystkie sesje i programy otwarte w &konsole-miejscownik;.

Możesz również otworzyć nową sesję korzystając ze skrótów klawiszowych. Domyślnie jest to&Alt;&Ctrl;N. Możesz również utworzyć własne skróty, korzystając z pozycji Ustawienia Konfiguracja skrótów....

Lista dostępnych sesji odzwierciedla listę zainstalowanych programów oraz sesje zdefiniowane przez użytkownika. Lista sesji jest uporządkowana alfabetycznie.

Pamiętaj, że możesz tworzyć nowe typy sesji i modyfikować istniejące, przy użyciu okna konfiguracyjnego z menu Ustawienia Konfiguracja: Konsola....

#### Menu Edycja

Edycja Kopiuj

  Kopiuje zanzaczony tekst do schowka.

&Shift;Insert Edycja Wklej

  Wkleja tekst ze schowka w miejscu położenia kursora.

Edycja Wyślij sygnał

  Wyślij sygnał - wysyła określony sygnał do procesów powłoki lub innych procesów uruchomionych podczas uruchamiania nowej sesji.

  Dostępne sygnały:

  STOP | zatrzymuje proces
  CONT | wznawia proces po zatrzymaniu
  HUP | rozłącza bieżący proces na kontrolowanym terminalu lub zamyka kontrolowany proces
  INT | przerywa zadanie
  TERM | kończy zadanie
  KILL | zabija proces
  USR1 | sygnał użytkownika 1
  USR2 | sygnał użytkownika 2

  Więcej szczegółów znajdziesz w podręcznikach systemowych, wpisz polecenie ``man` `7 signal``.

&Alt;&Ctrl;U Edycja Pobieranie ZModem...

  Wysyła plik poprzez ZModem.

Edycja Wyczyść terminal

  Czyści ekran bieżącej sesji.

Edycja Zresetuj i wyczyść terminal

  Resetuje i czyści okno sesji terminala.

Edycja Znajdź w historii...

  Wyszukuje słowo lub ciąg znaków w bieżącej historii. Dostępne są opcje uwzględniania wielkości liter, szukania wstecz lub według wyrażeń regularnych. Naciśnij przycisk Zmień... aby wykorzystać graficzny edytor wyrażeń regularnych w &kde;.

Edycja Znajdź następne

  Wyszukuje kolejny wpis w historii, spełniający kryteria.

Edycja Znajdź poprzedni

  Wyszukuje poprzedni wpis w historii, spełniający kryteria.

Edycja Zapisz historię jako...

  Zapisuje bieżącą historię jako plik tekstowy.

Edycja Wyczyść historię

  Czyści historię bieżącej sesji.

Edycja Wyczyść wszystkie historie

  Czyści historię wszystkich sesji.

#### Menu Widok

Widok Odłącz sesję

  Otwiera bieżącą sesję w osobnym oknie. Nazwa sesji zostanie wyświetlona na pasku nazwy nowego okna.

&Alt;&Ctrl;S Widok Zmień nazwę sesji...

  Otwiera okno dialogowe, pozwalające na zmianę nazwy bieżącej sesji. Nazwa jest wyświetlona na zakładce sesji. Skrót &Alt;&Ctrl;S również wywołuje wspomniane okno dialogowe.

Widok Monitoruj aktywność

  Znaczy bieżącą sesję tak aby wyświetliła komunikat w przypadku odnotowania zdarzenia w jej obrębie. Ikona zapalonej żarówki pojawi się na zakładce sesji. Skorzystaj z komunikatów alarmów gdy pracujesz w innej sesji terminala. Czas przed wyświetleniem komunikatu może zostać ustawiony w ustawieniach &konsole-dopelniacz;.

Widok Monitoruj nieaktywność

  Znaczy bieżącą sesję tak aby wyświetliła komunikat w przypadku nieodnotowania zdarzenia w jej obrębie w ciągu 10 sekund. Ikona zgaszonej żarówki pojawi się na zakładce sesji. Skorzystaj z komunikatów alarmów gdy chcesz być informowany o zakończeniu zadania, pracując w innej sesji terminala. Czas przed wyświetleniem komunikatu może zostać ustawiony w ustawieniach &konsole-dopelniacz;.

Widok Wyślij wejście do wszystkich sesji

  Znaczy bieżącą sesję tak, aby komendy podawane w tej sesji były wysyłane do pozostałych. Pojawi się miała ikonka w zakładce sesji aby przypominać o ostrożnym zachowaniu podczas wydawania komend. Na przykład wydanie komendy ``rm` `-rf *`` nie jest dobrym pomysłem.

&Ctrl;&Shift;przycisk strzałki w lewo Widok Przesuń sesję w lewo

  Przesuwa zakładkę bieżącej sesji w lewo.

&Ctrl;&Shift;przycisk strzałki w prawo Widok Przesuń sesję w prawo

  Przesuwa zakładkę bieżącej sesji w prawo.

  &Shift; strzałka w lewo oraz &Shift; strzałka w prawo mogą być użyte do przemieszczenia się pomiędzy sesjami.

Widok Ikony sesji...

  Na dole menu znajduje się lista dostępnych sesji. Klikając na sesję, aktywujesz ją.

  Możesz również skorzystać ze skrótów &Shift;strzałka w lewo/&Shift;strzałka w prawo, aby poruszać się między sesjami.

#### Menu Zakładki

Zakładki Dodaj zakładkę

  Dodaje bieżącą lokację na listę zakładek.

Zakładki Modyfikuj zakładki

  Edycja listy zakładek.

Zakładki Nowy folder zakładek...

  Dodaje nowy folder do listy zakładek.

Lista zakładek jest wyświetlona na dole menu. Wybierz zakładkę, aby przejść do wybranej lokalizacji.

Możesz wykorzystać edytor zakładek, aby ręcznie dodać link np. ssh://user@host lub telnet://host i nawiązać zdalne połączenie.

#### Menu Ustawienia

Ustawienia Ukryj pasek menu

  Ukrywa pasek menu.

Ustawienia Karty

  Kontroluje położenie i widoczność zakładek (kart) sesji: Ukryj, Na górzelub Na dole.

Ustawienia Pasek przewijania

  Kontroluje położenie i widoczność paska przewijania: Ukryj, Po lewej lub Po prawej.

&Ctrl;&Shift;F Ustawienia Tryb pełnoekranowy

  Przełącza okno pomiędzy trybem pełnoekranowym i zwykłym.

Ustawienia Brzęczyk

  Ustawienia brzęczyka:: Brzęczyk systemowy, Powiadomianie systemowe, Widoczny brzęczyk lub Brak.

Ustawienia Czcionka

  Ustawia wielkość czcionki: Zwiększ czcionkę lub Zmniejsz czcionkę.

  Użyj opcji Wybierz..., aby ustawić dowolną kombinację rozmiaru i stylu.

Ustawienia Kodowanie

  Pozwala na ustawienie strony kodowania znaków.

Ustawienia Klawiatura

  Pozwala na wybór odpowiedniego mapowania klawiszy.

  Lista mapowania jest pobierana z `$KDEDIR/share/apps/konsole/*.keytab`. Plik `$KDEDIR/share/apps/konsole/README.KeyTab` zawiera szczegółowy opis formatu plików `*.keytab`. Dodaj lub edytuj wymienione pliki aby dostosować je do swoich potrzeb. Domyślna lista pochodzi z pliku `$KDEDIR/share/apps/konsole/README.default.Keytab`.

Ustawienia Zestaw

  Pozwala na ustawienie koloru tła i czcionek.

  Lista pochodzi z pliku `$KDEDIR/share/apps/konsole/*.schema`. Plik `$KDEDIR/share/apps/konsole/README.Schema` zawiera szczegółowy opis formatu plików `*.schema`. Dodaj lub edytuj wymienione pliki aby dostosować &konsole-biernik; do swoich potrzeb. Możesz również utworzyć własne zestawy, korzystając z okna dialogowego Ustawienia Konfiguracja: &konsole-mianownik;....

Ustawienia Rozmiar

  Pozwala na określenie rozmiaru okna w którym wpisywany jest tekst (jako "kolumny x wiersze").

Ustawienia Historia...

  Otwiera okno dialogowe, pozwalające na konfigurację historii. Pole Włącz aktywuje pole określające ilość wierszy, które mają być zapisane w historii. Podaj Liczbę wierszy, które mają być zapamiętane lub ustaw liczbę, klikając na ikony strzałek. Liczba zwiększana jest co 100 wierszy. Naciśnięcie przycisku Domyślne spowoduje ustawienie liczby wierszy na 1000. Kliknięcie na przycisk Bez ograniczneń spowoduje zapis wszystkich wierszy w historii. Naciśnij przycisk OK, aby zapisać zmiany lub Anuluj, aby zamknąć okno dialogowe bez zapisywania zmian.

Ustawienia Zapisz jako domyślne

  Zapisuje bieżące ustawienia jako domyślne.

Ustawienia Zapisz profil sesji...

  Zapisuje bieżący zestaw sesji pod wybraną nazwą. Profil może zostać wykorzystany podczas startu &konsole-dopelniacz; z linii poleceń: &konsole; `--profile` nazwa profilu.

Ustawienia Konfiguracja powiadomień...

  Konfiguracja powiadomień systemowych dla &konsole-dopelniacz;.

Ustawienia Konfiguracja skrótów...

  Konfiguracja skrótów klawiaturowych dla poleceń menu &konsole-dopelniacz;.

Ustawienia Konfiguracja: &konsole;...

  Otwiera moduł &kcontrolcenter-dopelniacz;, pozwalający na ustawienie dodatkowych opcji &konsole-dopelniacz;, dotyczących interfejsu i zachowania, włączając w to tworzenie własnych zestawów oraz modyfikację dostępnych sesji.

#### Menu Pomoc

Pomoc Podręcznik Konsola

  Otwiera ten podręcznik.

Pomoc Porada dnia

  Wyświetla pomocną podpowiedź dotyczącą korzystania z &konsole-dopelniacz;. Zaznacz Pokaż porady po uruchomieniu, aby wyświetlać porady przy każdym uruchomieniu &konsole-dopelniacz;.

Pomoc Raport o błędzie...

  Wyślij raport o błędzie lub prośbę o brakującą funkcję &konsole-dopelniacz;.

Pomoc O programie Konsola

  Informacje o autorze &konsole-dopelniacz;

Pomoc Informacje o KDE...

  Informacje na temat projektu &kde;

### Zakładki (Karty) sesji

Zakładki sesji pozwalają na przypisanie wielu sesji terminala do jednego okna &konsole-dopelniacz;.

Obrazek zakładek
Obrazek zakładek

&konsole-dopelniacz; otwarta z 4 sesjami terminali z odpowiadającymi im zakładkami poniżej.

Menu Ustawienia Karty pozwala na umieszczenie zakładek na Górze lub U dołu ekranu. Zakładki mogą być również ukryte poprzez zaznaczenie opcji Ukryj.

Po lewej stronie zakładek znajduje się przycisk, który pozwala na tworzenie nowych sesji.

- Kliknij na przycisk aby utworzyć nową standardową sesję.

- Kliknij i przytrzymaj przycisk aby zobaczyć listę dostępnych sesji.

- Kliknij prawym przyciskiem myszy na przyciski (lub na pustą przestrzeń na zakładce) aby wywołać menu podręczne pozwalające na ustawienie kilku opcji:

  - Karty: Ukryj, Na górze, Na dole.

  - Opcje kart: Tekst i ikony, Tylko tekst, Tylko Ikony.

  - Dynamiczne ukrywanie ukrywa zakładkę jeżeli otwarta jest tylko jedna sesja.

  - Automatyczna zmiana rozmiaru kart automatycznie zmieni rozmiar zakładek, dostosowując je do szerokości paska zakładek.

Po prawej stronie zakładki znajduje się przycisk, który zamyka bieżącą sesję. Przycisk ten będzie nieaktywny jeżeli uruchomiona jest tylko jedna sesja.

Kliknięcie prawym przyciskiem myszy na zakładkę wywoła kolejne menu:

- Odłącz sesję

- Zmień nazwę sesji...

- Monitoruj aktywność

- Monitoruj nieaktywność

- Wyślij wejście do wszystkich sesji

- Wybierz kolor karty...

- Przełącz na kartę...

- Zamknij sesję

### Komendy linii polceceń

Podczas uruchamiania &konsole-dopelniacz; z linii poleceń, dostępne są różne opcje modyfikujące jej zachowanie.

`--help`

  Wypisuje listę dostępnych opcji.

`-e` `polecenie`

  Wykonuje `polecenie` zamiast uruchomienia powłoki.

  Jakikolwiek argument za `polecenie` zostanie przekazany do `polecenie`, a nie programu &konsole-mianownik;.

`--keytab` `plik`

  Uruchamia &konsole-biernik; korzystając z pliku .keytab aby określić przypisania klawiszy.

`--keytabs`

  Wyświetla listę wszystkich dostępnych ustawień klawiatury.

`--ls`

  Uruchamia powłokę startową. To, co się wydarzy, zależy do konfiguracji systemu, ale ogólnie oznacza, że plik `~/.profile` lub `~/.bash_profile` zostanie wczytany. Jeżeli nic Ci to nie mówi, nie przejmuj się, ta nazwa sama się przypomni, gdy będzie potrzebna.

`--name` `nazwa`

  Ustawia klasę okna.

`--noclose`

  Nie pozwól &konsole-celownik; na zamknięcie się w momencie wydania polecenia ``exit`` w oknie, gdzie uruchomiona jest tylko jedna sesja.

`--noframe`

  uruchamia &konsole-biernik; bez ramki.

`--nohist`

  Włącza zapisywanie wierszy w historii.

`--nomenubar`

  Uruchamia &konsole-biernik; z ukrytym paskiem menu.

`--noresize`

  Wyłącza możliwość zmiany rozmiaru okna terminala.

`--noscrollbar`

  Uruchamia &konsole-biernik; z ukrytym paskiem przewijania.

`--notabbar`

  Uruchamia &konsole-biernik; z ukrytymi zakładkami (kartami).

`--noxft`

  Uruchamia &konsole-biernik; bez antyaliasingu Xft. Antyaliasing (wygładzanie) małych czcionek może spowodować trudności w ich odczytaniu.

`--profile` `plik`

  Uruchamia &konsole-biernik;, używając zapisanego zestawu sesji.

`--profiles`

  Wyświetla listę dostępnych profili sesji.

`--schema` `nazwa` | `plik`

  Uruchamia &konsole-biernik;, korzystając z zestawu "nazwa" lub zestawu, znajdującego się wpliku "plik", aby dostosować wygląd okna.

`--schemata`

  Wyświetla listę dostępnych zestawów.

`--script`

  Włącza rozszerzone funkcje &DCOP; &Qt;.

`-T` `tytuł`

  Ustawia tytuł okna.

`--tn` `terminal`

  Ustawia typ terminala podany w zmiennej TERM. Przeczytaj ``man` `xterm`` w celu uzyskania dalszych informacji na temat TERM.

`--type` `typ`

  Startuje sesję danego typu zamiast domyślnej sesji.

`--types`

  Wyświetla listę dostępnych typów sesji.

`--vt_sz` `CCxLL`

  Startuje okno terminala z zadaną liczbą CC kolumn i LL wierszy.

`--workdir` `katalog`

  Uruchamia program z katalogiem `dir` jako katalogiem roboczym.

Przykłady:

    &percnt; konsole --vt_sz 90x25 --nohist

Uruchamia &konsole-biernik;, ustawiając ilość kolumn na 90 i wierszy na 25, bez rejestracji historii.

    &percnt; konsole --noclose -e echo_args Cześć, dziękujemy za korzystanie z &konsole-dopelniacz;!

Uruchamia &konsole-biernik; z wpisem 'Cześć, dziękujemy za korzystanie z &konsole-dopelniacz;!'

`echo_args` jest prostym skryptem powłoki:

    #!/bin/bash
    echo $*

&konsole-mianownik; akceptuje również podstawowe opcje &Qt; i &kde;:

`--help-qt`

  Wyświetla listę opcji &Qt;

Następujące opcje &Qt; nie działają w &konsole-dopelniacz;:

`--fn`, `--font` `nazwa czcionki`

  Określa czcionkę programu

`--bg`, `--background` `kolor`

  Ustawia domyślny kolor tła

`--fg`, `--foreground` `kolor`

  Ustawia domyślny kolor tła czcionki

`--btn`, `--button` `kolor`

  Ustawia domyślny kolor przycisku

`--help-kde`

  Wyświetla listę opcji &kde;

`--help-all`

  Wyświetla wszystkie dostępne opcje

`--author`

  Podaje informacje o autorach

`-v,--version`

  Podaje numer wersji programu

`--license`

  Podje informacje na temat licencji

### &DCOP;

Wprowadzenie na temat &DCOP; oraz informacje na temat użycia `dcop` znajdziesz pod adresem Podręcznik użytkownika &kde;, sekcja &DCOP;.

## Podziękowania i Licencja

Od &kde; 3.4, &konsole-narzednik; opiekuje się &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Poprzednio &konsole-narzednik; opiekował się przez &Waldo.Bastian; &Waldo.Bastian.mail;

&konsole-mianownik; Copyright © 1997-2005 &Lars.Doelle; &Lars.Doelle.mail;

Autor dokumentacji: &Jonathan.Singer; &Jonathan.Singer.mail;

Aktualizacja dokumentacji dla &kde; 3.4: &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Konwersja do formatu DocBook SGML: &Mike.McBride; i &Lauri.Watts;

Polskie tłumaczenie: (c) 2005 Mandriva Polandbiuro@mandriva.pl

Uaktualnienie tłumaczenia Mandrivy: Marcin Kocur marcinkocur@op.pl

&underFDL; &underGPL;

## Program &konsole-mianownik; w systemach innych niż &Linux;

Informacja dotycząca budowy &konsole-dopelniacz; na platformy inne niż &Linux-mianownik; została zawarta w pliku `README.ports`, który znajduje się w źródłach &konsole-dopelniacz;. W pliku znajduje się lista ekspertów dla danych platform (Tru64, &Solaris;, OpenBSD) oraz woluntariuszy z innych platform &UNIX-dopelniacz;.

Po więcej informacji udaj się na nastepujące strony:

- &kde; w FreeBSD

- &kde; w systemie &Solaris;

&documentation.index;